Bug 735316 - [abrt] imsettings-1.2.3-1.fc15: tuple_info_free: Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
[abrt] imsettings-1.2.3-1.fc15: tuple_info_free: Process /usr/libexec/imsetti...
Status: CLOSED DUPLICATE of bug 709175
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:4340a2f4ea3ac4baf67151ea8f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 05:50 EDT by blackmetalowiec
Modified: 2011-09-08 23:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 23:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description blackmetalowiec 2011-09-02 05:50:13 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
comment:        I can't remember
component:      imsettings
crash_function: tuple_info_free
executable:     /usr/libexec/imsettings-daemon
kernel:         2.6.38.8-32.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        imsettings-1.2.3-1.fc15
reason:         Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
time:           Tue Jul 12 12:17:29 2011
uid:            500
username:       kasia
var_log_messages: Jul 12 12:17:30 kasiakomp abrt[1469]: saved core dump of pid 1449 (/usr/libexec/imsettings-daemon) to /var/spool/abrt/ccpp-2011-07-12-12:17:29-1449.new/coredump (17858560 bytes)

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 1449]
:[New LWP 1463]
:[New LWP 1450]
:warning: File "/lib/libdbus-1.so.3.5.4" has a different build-id, file skipped
:warning: File "/lib/libudev.so.0.11.1" has a different build-id, file skipped
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b
:warning: File "/lib/libdbus-1.so.3.5.4" has a different build-id, file skipped
:warning: File "/lib/libudev.so.0.11.1" has a different build-id, file skipped
:[Thread debugging using libthread_db enabled]
:warning: the debug information found in "/usr/lib/debug//lib/libdbus-1.so.3.5.4.debug" does not match "/lib/libdbus-1.so.3" (CRC mismatch).
:
:warning: the debug information found in "/usr/lib/debug/lib/libdbus-1.so.3.5.4.debug" does not match "/lib/libdbus-1.so.3" (CRC mismatch).
:
:warning: the debug information found in "/usr/lib/debug//lib/libudev.so.0.11.1.debug" does not match "/lib/libudev.so.0" (CRC mismatch).
:
:warning: the debug information found in "/usr/lib/debug/lib/libudev.so.0.11.1.debug" does not match "/lib/libudev.so.0" (CRC mismatch).
:
:Core was generated by `/usr/libexec/imsettings-daemon'.
:Program terminated with signal 11, Segmentation fault.
:#0  tuple_info_free (info=<optimized out>) at gvarianttypeinfo.c:345
:345	    g_variant_type_info_unref (tuple_info->members[i].type_info);
:
:Thread 3 (Thread 0xb7702b70 (LWP 1450)):
:#0  0x0028f424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x47760b9e in __GI___poll (fds=0xb6e02b90, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x478ffaac in g_poll (fds=0xb6e02b90, nfds=3, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x478f0c36 in g_main_context_poll (n_fds=3, fds=0x478275a0, priority=<optimized out>, timeout=<optimized out>, context=0x81d4dd0) at gmain.c:3405
:        poll_func = 0x478ffa80 <g_poll>
:#4  g_main_context_iterate (context=0x81d4dd0, block=1200618112, dispatch=1, self=0x81d4e60) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x478275a0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x478f1457 in g_main_loop_run (loop=0x81d4dc0) at gmain.c:3300
:        self = 0x81d4e60
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x47f5d032 in gdbus_shared_thread_func (data=0x0) at gdbusprivate.c:276
:No locals.
:#7  0x47918535 in g_thread_create_proxy (data=0x81d4e60) at gthread.c:1955
:        thread = 0x81d4e60
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x478249fe in start_thread (arg=0xb7702b70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb7702b70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1199788020, 0, 4001536, -1217387464, -2033960280, 1645281609}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#9  0x4776b24e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 2 (Thread 0xb6ddfb70 (LWP 1463)):
:#0  0x0028f424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x47760b9e in __GI___poll (fds=0xb6400ca0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x478ffaac in g_poll (fds=0xb6400ca0, nfds=1, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x478f0c36 in g_main_context_poll (n_fds=1, fds=0x478275a0, priority=<optimized out>, timeout=<optimized out>, context=0x81e7200) at gmain.c:3405
:        poll_func = 0x478ffa80 <g_poll>
:#4  g_main_context_iterate (context=0x81e7200, block=1200618112, dispatch=1, self=0x81e82c8) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x478275a0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x478f1457 in g_main_loop_run (loop=0xb6400c90) at gmain.c:3300
:        self = 0x81e82c8
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x0032f415 in dconf_context_thread (data=0x81e7200) at dconfcontext.c:11
:        context = 0x81e7200
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#7  0x47918535 in g_thread_create_proxy (data=0x81e82c8) at gthread.c:1955
:        thread = 0x81e82c8
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x478249fe in start_thread (arg=0xb6ddfb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb6ddfb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1199788020, 0, 4001536, -1226968008, -580633941, 1645281609}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#9  0x4776b24e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb7703720 (LWP 1449)):
:#0  tuple_info_free (info=<optimized out>) at gvarianttypeinfo.c:345
:        i = <optimized out>
:#1  g_variant_type_info_unref (info=0x81e20c0) at gvarianttypeinfo.c:855
:No locals.
:#2  g_variant_type_info_unref (info=0x81e20c0) at gvarianttypeinfo.c:829
:No locals.
:#3  0x4792e232 in g_variant_unref (value=0xb6e01260) at gvariant-core.c:625
:No locals.
:#4  0x47f01fa2 in clear_op_res (simple=0x81e7138 [GSimpleAsyncResult]) at gsimpleasyncresult.c:256
:No locals.
:#5  g_simple_async_result_finalize (object=0x81e7138 [GSimpleAsyncResult]) at gsimpleasyncresult.c:274
:        simple = 0x81e7138 [GSimpleAsyncResult]
:#6  0x47b8e5f5 in g_object_unref (_object=0x81e7138) at gobject.c:2734
:        object = 0x81e7138 [GSimpleAsyncResult]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#7  0x47f4e711 in g_dbus_connection_call_done (source=0x81d0000 [GDBusConnection], result=0x81e7170, user_data=0xb6e01750) at gdbusconnection.c:5025
:        connection = 0x81d0000 [GDBusConnection]
:        state = 0xb6e01750
:        error = 0x0
:        reply = 0xb6e03b80 [GDBusMessage]
:        value = <optimized out>
:#8  0x47f02e33 in g_simple_async_result_complete (simple=0x81e7170 [GSimpleAsyncResult]) at gsimpleasyncresult.c:747
:        current_source = <optimized out>
:        current_context = <optimized out>
:        __PRETTY_FUNCTION__ = "g_simple_async_result_complete"
:#9  0x47f02f5c in complete_in_idle_cb (data=0x81e7170) at gsimpleasyncresult.c:757
:        simple = 0x81e7170 [GSimpleAsyncResult]
:#10 0x478ec5d1 in g_idle_dispatch (source=0xb6e03f80, callback=0x47f02f40 <complete_in_idle_cb>, user_data=0x81e7170) at gmain.c:4558
:No locals.
:#11 0x478f05bf in g_main_dispatch (context=0xb6e00468) at gmain.c:2441
:        dispatch = 0x478ec5b0 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x81e7170
:        callback = 0x47f02f40 <complete_in_idle_cb>
:        cb_funcs = 0x479c765c
:        cb_data = 0xb6e03fb8
:        current_source_link = {data = 0xb6e03f80, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0xb6e03f80
:        current = 0x81d5dc8
:        i = <optimized out>
:#12 g_main_context_dispatch (context=0xb6e00468) at gmain.c:3014
:No locals.
:#13 0x478f0d30 in g_main_context_iterate (context=0xb6e00468, block=1200618112, dispatch=1, self=0x81c6090) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x478275a0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#14 0x478f1457 in g_main_loop_run (loop=0x81d5370) at gmain.c:3300
:        self = 0x81c6090
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#15 0x0804b7d2 in main (argc=1, argv=0xbf9dcd14) at main.c:184
:        err = 0x0
:        arg_replace = 0
:        arg_no_logfile = 0
:        arg_xinputrcdir = 0x0
:        arg_xinputdir = 0x0
:        arg_homedir = 0x0
:        arg_moduledir = 0x0
:        loop = 0x81d5370
:        ctx = <optimized out>
:        entries = {{long_name = 0x8051c9c "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbf9dcc48, description = 0x8051b30 "Replace the instance of the imsettings daemon.", arg_description = 0x0}, {long_name = 0x8051383 "xinputrcdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0xbf9dcc50, description = 0x8051b60 "Set the system-wide xinputrc directory (for debugging purpose)", arg_description = 0x8051ca4 "DIR"}, {long_name = 0x80513a0 "xinputdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0xbf9dcc54, description = 0x8051ba0 "Set the IM configuration directory (for debugging purpose)", arg_description = 0x8051ca4 "DIR"}, {long_name = 0x8051368 "homedir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0xbf9dcc58, description = 0x8051bdc "Set a home directory (for debugging purpose)", arg_description = 0x8051ca4 "DIR"}, {long_name = 0x80513c6 "moduledir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0xbf9dcc5c, description = 0x8051c0c "Set the imsettings module directory (for debugging purpose)", arg_description = 0x8051ca4 "DIR"}, {long_name = 0x8051ca8 "no-logfile", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_NONE, arg_data = 0xbf9dcc4c, description = 0x8051cb3 "Do not create a log file.", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:        connection = 0x81d0000 [GDBusConnection]
:warning: File "/lib/libdbus-1.so.3.5.4" has a different build-id, file skipped
:warning: File "/lib/libudev.so.0.11.1" has a different build-id, file skipped
:From        To          Syms Read   Shared Object Library
:0x48754d10  0x4875767c  Yes         /usr/lib/libnotify.so.4.0.0
:0x484819b0  0x4849788c  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:0x47c05720  0x47c224ec  Yes         /usr/lib/libpng12.so.0.44.0
:0x47844470  0x4785fb4c  Yes         /lib/libm-2.14.so
:0x47c2f610  0x47c33c1c  Yes         /usr/lib/libimsettings.so.5.1.0
:0x47ec2c50  0x47f7f40c  Yes         /lib/libgio-2.0.so.0.2800.8
:0x47e9ebd0  0x47e9fd4c  Yes         /lib/libgmodule-2.0.so.0.2800.8
:0x47b87fe0  0x47bbb72c  Yes         /lib/libgobject-2.0.so.0.2800.8
:0x47b67f30  0x47b6970c  Yes         /lib/libgthread-2.0.so.0.2800.8
:0x4788d880  0x4789139c  Yes         /lib/librt-2.14.so
:0x478c1770  0x4795f3dc  Yes         /lib/libglib-2.0.so.0.2800.8
:0x478225f0  0x4782dd3c  Yes         /lib/libpthread-2.14.so
:0x476a7d10  0x477c5b84  Yes         /lib/libc-2.14.so
:0x47898670  0x478a5aac  Yes         /lib/libz.so.1.2.5
:0x47670850  0x47687aff  Yes         /lib/ld-2.14.so
:0x4783aa60  0x4783ba8c  Yes         /lib/libdl-2.14.so
:0x479ed5f0  0x479fd64c  Yes         /lib/libresolv-2.14.so
:0x479ce490  0x479dfd9c  Yes         /lib/libselinux.so.1
:0x004ef490  0x0050b18c  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x47a14c60  0x47a2047c  Yes         /usr/lib/libgvfscommon.so.0.0.0
:0x47bd3040  0x47becc7c  Yes         /lib/libexpat.so.1.5.2
:0x47e576a0  0x47e86cfc  Yes (*)     /lib/libdbus-1.so.3
:0x487b03b0  0x487b9acc  Yes (*)     /lib/libudev.so.0
:0x4a5d5a20  0x4a5d642c  Yes         /lib/libutil-2.14.so
:0x4786ef30  0x47885c5c  Yes         /lib/libgcc_s-4.6.0-20110530.so.1
:0x00b2aa40  0x00b31f3c  Yes         /lib/libnss_files-2.14.so
:0x00427790  0x00427d6c  Yes         /usr/lib/imsettings/libimsettings-qt.so
:0x00882670  0x008829ac  Yes         /usr/lib/imsettings/libimsettings-gsettings.so
:0x0032cdc0  0x00330a8c  Yes         /usr/lib/gio/modules/libdconfsettings.so
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x0
:eax            0x0	0
:ecx            0x478193e8	1199674344
:edx            0xffffffff	-1
:ebx            0x479c7328	1201435432
:esp            0xbf9dc8e0	0xbf9dc8e0
:ebp            0xb6e01260	0xb6e01260
:esi            0x81e20c0	136192192
:edi            0x1	1
:eip            0x47935209	0x47935209 <g_variant_type_info_unref+217>
:eflags         0x10202	[ IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function g_variant_type_info_unref:
:   0x47935130 <+0>:	lea    -0x2c(%esp),%esp
:   0x47935134 <+4>:	xor    %edx,%edx
:   0x47935136 <+6>:	mov    %ebx,0x20(%esp)
:   0x4793513a <+10>:	mov    %esi,0x24(%esp)
:   0x4793513e <+14>:	call   0x478c1ff9 <__i686.get_pc_thunk.bx>
:   0x47935143 <+19>:	add    $0x921e5,%ebx
:   0x47935149 <+25>:	mov    0x30(%esp),%esi
:   0x4793514d <+29>:	mov    %edi,0x28(%esp)
:   0x47935151 <+33>:	mov    %esi,%eax
:   0x47935153 <+35>:	call   0x47934830 <g_variant_type_info_check>
:   0x47935158 <+40>:	cmpb   $0x0,0x5(%esi)
:   0x4793515c <+44>:	jne    0x47935170 <g_variant_type_info_unref+64>
:   0x4793515e <+46>:	mov    0x20(%esp),%ebx
:   0x47935162 <+50>:	mov    0x24(%esp),%esi
:   0x47935166 <+54>:	mov    0x28(%esp),%edi
:   0x4793516a <+58>:	lea    0x2c(%esp),%esp
:   0x4793516e <+62>:	ret    
:   0x4793516f <+63>:	nop
:   0x47935170 <+64>:	lea    0x978(%ebx),%edi
:   0x47935176 <+70>:	mov    %edi,(%esp)
:   0x47935179 <+73>:	call   0x47918920 <g_static_rec_mutex_lock>
:   0x4793517e <+78>:	lea    0xc(%esi),%eax
:   0x47935181 <+81>:	movl   $0xffffffff,0x4(%esp)
:   0x47935189 <+89>:	mov    %eax,(%esp)
:   0x4793518c <+92>:	call   0x478c4820 <g_atomic_int_exchange_and_add>
:   0x47935191 <+97>:	cmp    $0x1,%eax
:   0x47935194 <+100>:	je     0x479351a8 <g_variant_type_info_unref+120>
:   0x47935196 <+102>:	mov    %edi,(%esp)
:   0x47935199 <+105>:	call   0x47918bd0 <g_static_rec_mutex_unlock>
:   0x4793519e <+110>:	xchg   %ax,%ax
:   0x479351a0 <+112>:	jmp    0x4793515e <g_variant_type_info_unref+46>
:   0x479351a2 <+114>:	lea    0x0(%esi),%esi
:   0x479351a8 <+120>:	mov    0x8(%esi),%eax
:   0x479351ab <+123>:	mov    %eax,0x4(%esp)
:   0x479351af <+127>:	mov    0x9a0(%ebx),%eax
:   0x479351b5 <+133>:	mov    %eax,(%esp)
:   0x479351b8 <+136>:	call   0x478df320 <g_hash_table_remove>
:   0x479351bd <+141>:	mov    0x9a0(%ebx),%eax
:   0x479351c3 <+147>:	mov    %eax,(%esp)
:   0x479351c6 <+150>:	call   0x478df790 <g_hash_table_size>
:   0x479351cb <+155>:	test   %eax,%eax
:   0x479351cd <+157>:	je     0x47935248 <g_variant_type_info_unref+280>
:   0x479351cf <+159>:	mov    %edi,(%esp)
:   0x479351d2 <+162>:	call   0x47918bd0 <g_static_rec_mutex_unlock>
:   0x479351d7 <+167>:	mov    0x8(%esi),%eax
:   0x479351da <+170>:	mov    %eax,(%esp)
:   0x479351dd <+173>:	call   0x478f7610 <g_free>
:   0x479351e2 <+178>:	movzbl 0x5(%esi),%eax
:   0x479351e6 <+182>:	cmp    $0x61,%al
:   0x479351e8 <+184>:	je     0x47935265 <g_variant_type_info_unref+309>
:   0x479351ea <+186>:	cmp    $0x72,%al
:   0x479351ec <+188>:	jne    0x47935285 <g_variant_type_info_unref+341>
:   0x479351f2 <+194>:	mov    0x14(%esi),%edx
:   0x479351f5 <+197>:	test   %edx,%edx
:   0x479351f7 <+199>:	je     0x4793521c <g_variant_type_info_unref+236>
:   0x479351f9 <+201>:	xor    %eax,%eax
:   0x479351fb <+203>:	xor    %edi,%edi
:   0x479351fd <+205>:	lea    0x0(%esi),%esi
:   0x47935200 <+208>:	shl    $0x4,%eax
:   0x47935203 <+211>:	add    0x10(%esi),%eax
:   0x47935206 <+214>:	add    $0x1,%edi
:=> 0x47935209 <+217>:	mov    (%eax),%eax
:   0x4793520b <+219>:	mov    %eax,(%esp)
:   0x4793520e <+222>:	call   0x47935130 <g_variant_type_info_unref>
:   0x47935213 <+227>:	mov    0x14(%esi),%edx
:   0x47935216 <+230>:	mov    %edi,%eax
:   0x47935218 <+232>:	cmp    %edx,%edi
:   0x4793521a <+234>:	jb     0x47935200 <g_variant_type_info_unref+208>
:   0x4793521c <+236>:	mov    0x10(%esi),%eax
:   0x4793521f <+239>:	shl    $0x4,%edx
:   0x47935222 <+242>:	mov    %eax,0x4(%esp)
:   0x47935226 <+246>:	mov    %edx,(%esp)
:   0x47935229 <+249>:	call   0x4790dd30 <g_slice_free1>
:   0x4793522e <+254>:	mov    %esi,0x4(%esp)
:   0x47935232 <+258>:	movl   $0x18,(%esp)
:   0x47935239 <+265>:	call   0x4790dd30 <g_slice_free1>
:   0x4793523e <+270>:	jmp    0x4793515e <g_variant_type_info_unref+46>
:   0x47935243 <+275>:	nop
:   0x47935244 <+276>:	lea    0x0(%esi,%eiz,1),%esi
:   0x47935248 <+280>:	mov    0x9a0(%ebx),%eax
:   0x4793524e <+286>:	mov    %eax,(%esp)
:   0x47935251 <+289>:	call   0x478defe0 <g_hash_table_unref>
:   0x47935256 <+294>:	movl   $0x0,0x9a0(%ebx)
:   0x47935260 <+304>:	jmp    0x479351cf <g_variant_type_info_unref+159>
:   0x47935265 <+309>:	mov    0x10(%esi),%eax
:   0x47935268 <+312>:	mov    %eax,(%esp)
:   0x4793526b <+315>:	call   0x47935130 <g_variant_type_info_unref>
:   0x47935270 <+320>:	mov    %esi,0x4(%esp)
:   0x47935274 <+324>:	movl   $0x14,(%esp)
:   0x4793527b <+331>:	call   0x4790dd30 <g_slice_free1>
:   0x47935280 <+336>:	jmp    0x4793515e <g_variant_type_info_unref+46>
:   0x47935285 <+341>:	lea    -0x20357(%ebx),%eax
:   0x4793528b <+347>:	movl   $0x0,0x10(%esp)
:   0x47935293 <+355>:	mov    %eax,0xc(%esp)
:   0x47935297 <+359>:	movl   $0x35a,0x8(%esp)
:   0x4793529f <+367>:	lea    -0x20618(%ebx),%eax
:   0x479352a5 <+373>:	mov    %eax,0x4(%esp)
:   0x479352a9 <+377>:	lea    -0x67f22(%ebx),%eax
:   0x479352af <+383>:	mov    %eax,(%esp)
:   0x479352b2 <+386>:	call   0x47916540 <g_assertion_message>
:End of assembler dump.

build_ids:
:b8fc2aeaf3bce479350d4de85ec95d74134e7d5b
:914fd2466e1b2d836dbac2060eb5c6e6d1d77a7a
:10951571c8257004a4cdac2f102244215c63f724
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:4a540e52a34ab8f065a7a507cdb096dc67acd5e7
:5169d0935b091a52a2479c1802664e69a98a0c7b
:47446a76cfc27f95befeb786e73facea72ae230a
:c833d1602084a2aefe852c6c9838a2beea3d2280
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:826bb4d8376c62b913b61301b276adab50e11c5a
:ecd018f1db18560dab61289dac1c59fe608a4e09
:177452c458dbd4322d2fb524e0ede4fec9020580
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:7cde8206ad97ddf378cc9e6843180535983b0efc
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:6c62db659622616558823abb1c12f7c216fed997
:469a6d4a8287d37f2af53649eebc4244aabb547d
:e8f81aceb76fd850fb4f8d2dbc01e7a2adb92a3f
:4709482862f00637bedaf5eeda381d3c6ecf2996
:c46d3faa40190dfaf7bc73895f6ab6497be94cae
:34d715e2766f8694271730798a4b8e1605ec93ea
:d8902318e03685352246e563d070f6ca1c13bb14
:f5972ca949be5ea714d53769e532478f9d1b6f56
:e20241fcb0aadb243e777cd42cc5fe9d0f780174
:6fa6d3b5e7e182f4d32420e825d4fc4b7d9016d6
:1e774a4966c5e13ed89f9458fbdac798b3cfc0d5
:9befa83e0979d5be03e71fa994b88292e8cf5343
:d92505dc952684ed3f59942efcff925f1e738748
:3315c5df9ef78b4836cffd5bc39f02777547176c
:37b6ae12c782e78ad8450b2cc126c822a538f9df

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libm-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1308282944
:/lib/libnss_files-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308281136
:/lib/libutil-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.i686 (Fedora Project) 1308281091
:/usr/lib/imsettings/libimsettings-gsettings.so imsettings-gnome-1.2.3-1.fc15.i686 (Fedora Project) 1308283591
:/usr/lib/libimsettings.so.5.1.0 imsettings-libs-1.2.3-1.fc15.i686 (Fedora Project) 1308281293
:/usr/lib/imsettings/libimsettings-qt.so imsettings-qt-1.2.3-1.fc15.i686 (Fedora Project) 1308284346
:/lib/libpthread-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/ld-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/usr/lib/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.i686 (Fedora Project) 1308281089
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1308281134
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308281136
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1308281088
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1308281111
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308281136
:/lib/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.i686 (Fedora Project) 1308281064
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1308282944
:/lib/libc-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308281136
:/lib/libresolv-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1308281098
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.7.5-1.i686 (Fedora Project) 1308282044
:/lib/librt-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308281136
:/usr/libexec/imsettings-daemon imsettings-1.2.3-1.fc15.i686 (Fedora Project) 1308283592
:/lib/libdl-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309882607
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1309157164
:/usr/lib/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.i686 (Fedora Project) 1308282897

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-VX3mjdlfET,guid=79b56b49cd7b566d5eb3b76a00000022
:XDG_SESSION_COOKIE=366f4879f6c1c8187e77e4f400000012-1310465848.311148-1983316215
:XDG_RUNTIME_DIR=/run/user/kasia
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:USERNAME=kasia
:GDMSESSION=gnome
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VX3mjdlfET,guid=79b56b49cd7b566d5eb3b76a00000022
:XAUTHORITY=/var/run/gdm/auth-for-kasia-ZrwKbI/database
:USER=kasia
:DBUS_STARTER_BUS_TYPE=session
:PWD=/home/kasia
:GDM_LANG=pl_PL.utf8
:SHLVL=1
:LANG=pl_PL.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=kasia
:HOME=/home/kasia

maps:
:0028f000-00290000 r-xp 00000000 00:00 0          [vdso]
:0032b000-00332000 r-xp 00000000 fd:00 1894115    /usr/lib/gio/modules/libdconfsettings.so
:00332000-00333000 rw-p 00007000 fd:00 1894115    /usr/lib/gio/modules/libdconfsettings.so
:00427000-00429000 r-xp 00000000 fd:00 2135981    /usr/lib/imsettings/libimsettings-qt.so
:00429000-0042a000 rw-p 00001000 fd:00 2135981    /usr/lib/imsettings/libimsettings-qt.so
:004e9000-00513000 r-xp 00000000 fd:00 1875519    /usr/lib/gio/modules/libgvfsdbus.so
:00513000-00514000 rw-p 0002a000 fd:00 1875519    /usr/lib/gio/modules/libgvfsdbus.so
:00882000-00883000 r-xp 00000000 fd:00 2139288    /usr/lib/imsettings/libimsettings-gsettings.so
:00883000-00884000 rw-p 00000000 fd:00 2139288    /usr/lib/imsettings/libimsettings-gsettings.so
:00b29000-00b34000 r-xp 00000000 fd:00 2368802    /lib/libnss_files-2.14.so
:00b34000-00b35000 r--p 0000a000 fd:00 2368802    /lib/libnss_files-2.14.so
:00b35000-00b36000 rw-p 0000b000 fd:00 2368802    /lib/libnss_files-2.14.so
:08048000-08053000 r-xp 00000000 fd:00 1857902    /usr/libexec/imsettings-daemon
:08053000-08055000 rw-p 0000b000 fd:00 1857902    /usr/libexec/imsettings-daemon
:081c6000-0820a000 rw-p 00000000 00:00 0          [heap]
:47670000-4768d000 r-xp 00000000 fd:00 2359448    /lib/ld-2.14.so
:4768d000-4768e000 r--p 0001d000 fd:00 2359448    /lib/ld-2.14.so
:4768e000-4768f000 rw-p 0001e000 fd:00 2359448    /lib/ld-2.14.so
:47691000-47816000 r-xp 00000000 fd:00 2368958    /lib/libc-2.14.so
:47816000-47818000 r--p 00184000 fd:00 2368958    /lib/libc-2.14.so
:47818000-47819000 rw-p 00186000 fd:00 2368958    /lib/libc-2.14.so
:47819000-4781c000 rw-p 00000000 00:00 0 
:4781e000-47834000 r-xp 00000000 fd:00 2368959    /lib/libpthread-2.14.so
:47834000-47835000 r--p 00015000 fd:00 2368959    /lib/libpthread-2.14.so
:47835000-47836000 rw-p 00016000 fd:00 2368959    /lib/libpthread-2.14.so
:47836000-47838000 rw-p 00000000 00:00 0 
:4783a000-4783d000 r-xp 00000000 fd:00 2368962    /lib/libdl-2.14.so
:4783d000-4783e000 r--p 00002000 fd:00 2368962    /lib/libdl-2.14.so
:4783e000-4783f000 rw-p 00003000 fd:00 2368962    /lib/libdl-2.14.so
:47841000-47869000 r-xp 00000000 fd:00 2371460    /lib/libm-2.14.so
:47869000-4786a000 r--p 00028000 fd:00 2371460    /lib/libm-2.14.so
:4786a000-4786b000 rw-p 00029000 fd:00 2371460    /lib/libm-2.14.so
:4786d000-47889000 r-xp 00000000 fd:00 2371462    /lib/libgcc_s-4.6.0-20110530.so.1
:47889000-4788a000 rw-p 0001b000 fd:00 2371462    /lib/libgcc_s-4.6.0-20110530.so.1
:4788c000-47893000 r-xp 00000000 fd:00 2368961    /lib/librt-2.14.so
:47893000-47894000 r--p 00006000 fd:00 2368961    /lib/librt-2.14.so
:47894000-47895000 rw-p 00007000 fd:00 2368961    /lib/librt-2.14.so
:47897000-478ac000 r-xp 00000000 fd:00 2371464    /lib/libz.so.1.2.5
:478ac000-478ad000 rw-p 00014000 fd:00 2371464    /lib/libz.so.1.2.5
:478af000-479c7000 r-xp 00000000 fd:00 2371482    /lib/libglib-2.0.so.0.2800.8
:479c7000-479c8000 rw-p 00118000 fd:00 2371482    /lib/libglib-2.0.so.0.2800.8
:479ca000-479e7000 r-xp 00000000 fd:00 2371459    /lib/libselinux.so.1
:479e7000-479e8000 r--p 0001c000 fd:00 2371459    /lib/libselinux.so.1
:479e8000-479e9000 rw-p 0001d000 fd:00 2371459    /lib/libselinux.so.1
:479eb000-47a01000 r-xp 00000000 fd:00 2371466    /lib/libresolv-2.14.so
:47a01000-47a02000 r--p 00016000 fd:00 2371466    /lib/libresolv-2.14.so
:47a02000-47a03000 rw-p 00017000 fd:00 2371466    /lib/libresolv-2.14.so
:47a03000-47a05000 rw-p 00000000 00:00 0 
:47a0e000-47a24000 r-xp 00000000 fd:00 1857796    /usr/lib/libgvfscommon.so.0.0.0
:47a24000-47a25000 rw-p 00016000 fd:00 1857796    /usr/lib/libgvfscommon.so.0.0.0
:47b67000-47b6b000 r-xp 00000000 fd:00 2371483    /lib/libgthread-2.0.so.0.2800.8
:47b6b000-47b6c000 rw-p 00003000 fd:00 2371483    /lib/libgthread-2.0.so.0.2800.8
:47b81000-47bcd000 r-xp 00000000 fd:00 2371484    /lib/libgobject-2.0.so.0.2800.8
:47bcd000-47bcf000 rw-p 0004b000 fd:00 2371484    /lib/libgobject-2.0.so.0.2800.8
:47bd1000-47bf7000 r-xp 00000000 fd:00 2371465    /lib/libexpat.so.1.5.2
:47bf7000-47bf9000 rw-p 00026000 fd:00 2371465    /lib/libexpat.so.1.5.2
:47c02000-47c2a000 r-xp 00000000 fd:00 1864834    /usr/lib/libpng12.so.0.44.0
:47c2a000-47c2b000 rw-p 00027000 fd:00 1864834    /usr/lib/libpng12.so.0.44.0
:47c2d000-47c37000 r-xp 00000000 fd:00 1865404    /usr/lib/libimsettings.so.5.1.0
:47c37000-47c38000 rw-p 00009000 fd:00 1865404    /usr/lib/libimsettings.so.5.1.0
:47e53000-47e9a000 r-xp 00000000 fd:00 2371479    /lib/libdbus-1.so.3.5.4
:47e9a000-47e9b000 r--p 00047000 fd:00 2371479    /lib/libdbus-1.so.3.5.4
:47e9b000-47e9c000 rw-p 00048000 fd:00 2371479    /lib/libdbus-1.so.3.5.4
:47e9e000-47ea1000 r-xp 00000000 fd:00 2371485    /lib/libgmodule-2.0.so.0.2800.8
:47ea1000-47ea2000 rw-p 00002000 fd:00 2371485    /lib/libgmodule-2.0.so.0.2800.8
:47ea4000-47fce000 r-xp 00000000 fd:00 2371486    /lib/libgio-2.0.so.0.2800.8
:47fce000-47fd1000 rw-p 00129000 fd:00 2371486    /lib/libgio-2.0.so.0.2800.8
:47fd1000-47fd2000 rw-p 00000000 00:00 0 
:4847d000-4849f000 r-xp 00000000 fd:00 1881641    /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:4849f000-484a0000 rw-p 00021000 fd:00 1881641    /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:48753000-48759000 r-xp 00000000 fd:00 1881741    /usr/lib/libnotify.so.4.0.0
:48759000-4875a000 rw-p 00005000 fd:00 1881741    /usr/lib/libnotify.so.4.0.0
:487ae000-487bd000 r-xp 00000000 fd:00 2371488    /lib/libudev.so.0.11.1
:487bd000-487be000 r--p 0000e000 fd:00 2371488    /lib/libudev.so.0.11.1
:487be000-487bf000 rw-p 0000f000 fd:00 2371488    /lib/libudev.so.0.11.1
:4a5d5000-4a5d7000 r-xp 00000000 fd:00 2371467    /lib/libutil-2.14.so
:4a5d7000-4a5d8000 r--p 00001000 fd:00 2371467    /lib/libutil-2.14.so
:4a5d8000-4a5d9000 rw-p 00002000 fd:00 2371467    /lib/libutil-2.14.so
:b6400000-b6421000 rw-p 00000000 00:00 0 
:b6421000-b6500000 ---p 00000000 00:00 0 
:b65df000-b65e0000 ---p 00000000 00:00 0 
:b65e0000-b6de0000 rw-p 00000000 00:00 0 
:b6de0000-b6de2000 r--p 00000000 fd:02 11536695   /home/kasia/.config/dconf/user
:b6de2000-b6de3000 r--s 00000000 fd:02 11536823   /home/kasia/.cache/dconf/user
:b6de3000-b6e00000 r--p 00000000 fd:00 2113827    /usr/share/glib-2.0/schemas/gschemas.compiled
:b6e00000-b6e21000 rw-p 00000000 00:00 0 
:b6e21000-b6f00000 ---p 00000000 00:00 0 
:b6f01000-b6f02000 rw-p 00000000 00:00 0 
:b6f02000-b6f03000 ---p 00000000 00:00 0 
:b6f03000-b7708000 rw-p 00000000 00:00 0 
:b7708000-b7729000 r--s 00000000 fd:00 1848596    /usr/share/mime/mime.cache
:b7729000-b772a000 r--s 00000000 fd:02 11535055   /home/kasia/.local/share/mime/mime.cache
:b772a000-b7731000 r--s 00000000 fd:00 1853669    /usr/lib/gconv/gconv-modules.cache
:b7731000-b7732000 rw-p 00000000 00:00 0 
:bf9bd000-bf9de000 rw-p 00000000 00:00 0          [stack]
Comment 1 blackmetalowiec 2011-09-02 05:51:34 EDT
Package: imsettings-1.2.3-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I can't remember
Comment 2 Akira TAGOH 2011-09-08 23:14:25 EDT

*** This bug has been marked as a duplicate of bug 709175 ***

Note You need to log in before you can comment on or make changes to this bug.